[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrPCopy

Copy an ansistring to a null-terminated string.

## Declaration

Source position: syspchh.inc line 39

`function StrPCopy(`
`Dest: PChar;`
`Source: string`
`):PChar; overload;`

## Description

StrPCopy Converts the Ansistring in Source to a Null-terminated string, and copies it to Dest. Dest needs enough room to contain the string Source, i.e. Length(Source)+1 bytes.

## Errors

No checking is performed to see whether Dest points to enough memory to contain Source.

## See also

StrPLCopy |  | Copy a limited number of characters from an ansistring to a null-terminated string.
StrPas |  | Convert a null-terminated string to an ansistring.

Documentation generated on: Feb 26 2014